Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592237 - rtacct - undocumented option
Summary: rtacct - undocumented option
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iproute
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Marcela Mašláňová
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 10:30 UTC by Milos Malik
Modified: 2010-06-10 15:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-10 15:21:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milos Malik 2010-05-14 10:30:44 UTC
Description of problem:
Usage message contains 0 UNSUPPORTED option(s):
Usage message OMITS 1 supported option(s):
	-M
Man page contains 0 UNSUPPORTED option(s):
Man page OMITS 1 supported option(s):
	-M


Version-Release number of selected component (if applicable):
iproute-2.6.32-5.el6

How reproducible:
always

Steps to Reproduce:
# ./compare-options.sh `which rtacct`
Program path:
	/usr/sbin/rtacct
Guessing man page path:
	/usr/share/man/man8/rtacct.8.gz
According to binary analysis the binary supports 12 option(s):
	-?
	-M
	-V
	-a
	-d
	-h
	-n
	-r
	-s
	-t
	-v
	-z

  
Actual results:


Expected results:

Comment 1 RHEL Product and Program Management 2010-05-14 10:54:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 RHEL Product and Program Management 2010-05-21 14:15:49 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Petr Lautrbach 2010-06-10 15:21:44 UTC
This is upstream intention.

misc/rtacct.c:
		case 'M':
			/* Some secret undocumented option, nobody
			 * is expected to ask about its sense. See?
			 */
			sscanf(optarg, "%lx", &magic_number);
			break;


Note You need to log in before you can comment on or make changes to this bug.